commit:     c03f400fe5d89b1c9fad5cb0daecc6fa29dac35c
Author:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Sun Feb 28 10:33:36 2016 +0000
Commit:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Sun Feb 28 11:08:14 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c03f400f

x11-libs/libnotify: Take advantage of previous bump to also clean up 
dependencies

Package-Manager: portage-2.2.27

 x11-libs/libnotify/libnotify-0.7.6-r3.ebuild | 65 ++++++++++++++++++++++++++++
 1 file changed, 65 insertions(+)

diff --git a/x11-libs/libnotify/libnotify-0.7.6-r3.ebuild 
b/x11-libs/libnotify/libnotify-0.7.6-r3.ebuild
new file mode 100644
index 0000000..e1cbb58
--- /dev/null
+++ b/x11-libs/libnotify/libnotify-0.7.6-r3.ebuild
@@ -0,0 +1,65 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+inherit autotools eutils gnome.org multilib-minimal xdg-utils
+
+DESCRIPTION="A library for sending desktop notifications"
+HOMEPAGE="https://git.gnome.org/browse/libnotify";
+
+LICENSE="LGPL-2.1+"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc ~x86 
~amd64-fbsd ~x86-fbsd ~x86-freebsd ~amd64-linux ~arm-linux ~x86-linux 
~ppc-macos ~x86-macos ~x86-solaris"
+IUSE="+introspection test"
+
+RDEPEND="
+       app-eselect/eselect-notify-send
+       >=dev-libs/glib-2.26:2[${MULTILIB_USEDEP}]
+       x11-libs/gdk-pixbuf:2[${MULTILIB_USEDEP}]
+       introspection? ( >=dev-libs/gobject-introspection-1.32:= )
+"
+DEPEND="${RDEPEND}
+       >=dev-libs/gobject-introspection-common-1.32
+       >=dev-util/gtk-doc-am-1.14
+       virtual/pkgconfig
+       test? ( x11-libs/gtk+:3[${MULTILIB_USEDEP}] )
+"
+PDEPEND="virtual/notification-daemon"
+
+src_prepare() {
+       xdg_environment_reset
+       sed -i -e 's:noinst_PROG:check_PROG:' tests/Makefile.am || die
+
+       if ! use test; then
+               sed -i -e '/PKG_CHECK_MODULES(TESTS/d' configure.ac || die
+       fi
+
+       eautoreconf
+}
+
+multilib_src_configure() {
+       ECONF_SOURCE=${S} econf \
+               --disable-static \
+               $(multilib_native_use_enable introspection)
+
+       # work-around gtk-doc out-of-source brokedness
+       if multilib_is_native_abi; then
+               ln -s "${S}"/docs/reference/html docs/reference/html || die
+       fi
+}
+
+multilib_src_install() {
+       default
+       prune_libtool_files
+
+       mv "${ED}"/usr/bin/{,libnotify-}notify-send #379941
+}
+
+pkg_postinst() {
+       eselect notify-send update ifunset
+}
+
+pkg_postrm() {
+       eselect notify-send update ifunset
+}

Reply via email to